Copyright: Copyright © 1994 Global Majic Software, Inc.
Citation: Copyright © 1994 Global Majic Software, Inc.


Contents

Global Majic Software, Inc.

Instrument Custom Control Library

Slider Control

Properties	Events	Product Support	Copyright

Description:

The Slider Custom Control is highly versatile and customizable, designed to allow the user to easily create any control, gauge, meter, etc. that incorporates a sliding mechanism in its functioning.  The control is equipped with properties to change the On/Off characteristics of the sliding bar, the background, the tic marks, and the knob handle.  Properties have been included to control both direction (forward or backward) and orientation (vertical or horizontal).

Bar Properties:

The slider bar properties allow the user to manipulate the On/Off characteristics of the slider separately.  The user can either use a color or a bitmap to fill the On or Off bar area.  Also, the width, border, and position of the bar can be controlled through the properties.  The On/Off Bitmap Sample below utilizes the bitmap capability of the Slider Control and displays the same configuration with the Orientation Property set vertically and horizontally.  In this sample, the BarInner Property is set to its minimum (0) and the BarOuter Property is set to its maximum(1), which maximizes the slider bar width on the control.

Knob Properties:

There are also properties available to manipulate a knob.  Knob properties exist for scaling, offset, color, shape, and bitmap.  The first sample shows a green rectangular knob;  The second sample shows the same control with a green circular knob; and the last sample shows the same control with a circular bitmap.

Tic Properties:

Tic properties were set up in an array fashion.  The user can place as many sets of tic marks on any slider control as he likes.  The first step is to adjust the Tics Property to tell the VBX how many sets of tic marks there will be.  The second step is to tell the VBX which set of tic marks you wish to adjust by using the TicID Property.  Each set of tic marks can be adjusted with color, increment, start and stop value, size, and placement.  See the Multiple Tics Sample at the top of this page.


Slider BarOuter
BarOuter Property

Description

Determines where to end the slider bar on the control.

Usage

[form.]control.BarOuter[ = single ]

Remarks

The BarOuter value ranges from 0 to 1.  The BarInner Property works with the BarInner Property to control the width of the slider bar.

Data Type

Single


Product Support

Product support for Instrument Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


Slider TicLabelPosition
TicLabelPosition Property

Description

The TicILabelPosition Property allows the user to adjust the placement of the current TicID's label.

Usage

[form.]control.TicLabelPosition=[ single ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicOuter, TicLabelOn, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Single


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


Slider TicStart
TicStart Property

Description

The TicStart Property tells the Slider VBX where to begin the first tic mark for the current TicID.  The TicStop Property tells the Slider VBX where to end.  TicStart will not go less than the value in the Min Property and TicStop will not go greater than the value in the Max Property.

Usage

[form.]control.TicStart=[ single ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Single


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


Slider TicOuter
TicOuter Property

Description

The TicOuter Property allows the user to adjust the outer position ( origin is top-left corner) of the current TicID tic marks.  The value can range between 0 and 1.

Usage

[form.]control.TicOuter=[ single ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicLabelOn, TicLabelPosition, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Single


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


Slider BarInner
BarInner Property

Description

Determines where to begin the slider bar on the control.

Usage

[form.]control.BarInner[ = single ]

Remarks

The BarInner value ranges from 0 to 1.  The BarOuter Property works with the BarInner Property to control the width of the slider bar.

Data Type

Single


Slider OffColor
OffColor Property

Description

Allows the user to adjust the color on the Off portion of the slider bar.  The slider bar is set-up with an On and Off portion.  The perspective of these On/Off portions can be reversed on the slider bar by changing the Direction Property.

Usage

[form.]control.OffColor=[ QBColor( color ) ]

or

[form.]control.OffColor=[ RGB( Red, Green, Blue ) ]

Remarks

See also BarBorder, BarInner, BarOuter, OffPicture, OnColor, OnPicture.

Data Type

Color


Slider Min
Min Property

Description

Determines the maximum value that the Slider Control will display or perform calculations for.

Usage

[form.]control.Min=[.Single ]

Remarks

The Max Property sets the minimum value.

Data Type

Single


Slider Max
Max Property

Description

Determines the maximum value that the Slider Control will display or perform calculations for.

Usage

[form.]control.Max=[.Single ]

Remarks

The Min Property sets the minimum value.

Data Type

Single


Slider Tics
Tics Property

Description

The Tics Property sets the total number of tic mark sets.  Each set of tic marks can be "pointed to" by using the TicID Property.  If you have 1 set of tics, a TicID set to 0 will allow the user to adjust all the available tic properties for TicID 0.  If you have 2 sets of tics, TicID 0 will point to the first tic set, TicID 1 will point to the second tic set.

Usage

[form.]control.Tics=[ integer ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicOuter, TicLabelOn, TicLabelPosition, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Integer


Slider OnColor
OnColor Property

Description

Allows the user to adjust the color on the On portion of the slider bar.  The slider bar is set-up with an On and Off portion.  The perspective of these On/Off portions can be reversed on the slider bar by changing the Direction Property.

Usage

[form.]control.OnColor=[ QBColor( color ) ]

or

[form.]control.OnColor=[ RGB( Red, Green, Blue ) ]

Remarks

See also BarBorder, BarInner, BarOuter, OnPicture, OffColor, OffPicture.

Data Type

Color


Slider Orientation
Orientation Property

Description

Determines the orientation of the slider, horizontal or vertical.

Usage

[form.]control.Orientation[ = integer ]

Remarks

The Orientation Property value for horizontal is 0; vertical is 1.  The Direction Property is used to allow the Slider Control to be either horizontal or vertical.

Data Type

Integer


Slider BarBorder
BarBorder Property

Description

Determines how much empty space to leave between the control's edges and the slider bar.  In other words, it creates a null space between the slider bar and the edge of the control, so that text, tics, etc. are easy to read..

Usage

[form.]control.BarBorder[ = single ]

Remarks

The BarBorder value ranges from 0 to 1.

Data Type

Single


Slider TicDelta
TicDelta Property

Description

The TicDelta Property allows the user to adjust the value to increment the current TicID tic marks.  In other words, it is the difference from one tic mark to the next.

Usage

[form.]control.TicDelta=[ single ]

Remarks

See also TicColor, TicID, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Single


Slider TicStop
TicStop Property

Description

The TicStop Property tells the Slider VBX where to end the first tic mark for the current TicID.  The TicStart Property tells the Slider VBX where to begin.  TicStart will not go less than the value in the Min Property and TicStop will not go greater than the value in the Max Property.

Usage

[form.]control.TicStop=[ single ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Single


Slider TicInner
TicInner Property

Description

The TicInner Property allows the user to adjust the inner position ( origin is top-left corner) of the current TicID tic marks.  The value can range between 0 and 1.

Usage

[form.]control.TicInner=[ single ]

Remarks

See also TicColor, TicID, TicDelta, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Single


Slider TicID
TicID Property

Description

The TicID Property is actually a pointer value to an array.  This array has its size defined by the Tics Property.  Each set of tic marks must be "pointed to" by using the TicID Property.  If you have 1 set of tics, a TicID set to 0 will allow the user to adjust all the available tic properties for TicID 0.  If you have 2 sets of tics, TicID 0 will point to the first tic set, TicID 1 will point to the second tic set.

Usage

[form.]control.TicID=[ integer ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Integer


Slider MouseControl
MouseControl Property

Description

Allows the user to grab the knob with the mouse and change the value in Run Mode.

Usage

[form.]control.MouseControl=[.Boolean ]

Remarks

Defaults to True (on).

Data Type

Boolean


Slider KnobYScale
KnobYScale Property

Description

Determines the scale of the Knob in the Y-Direction.  Its value ranges from 0 to 1..

Usage

[form.]control.KnobYScale=[.Single ]

Remarks

There are several additional properties to control the Knob characteristics.  These properties include KnobColor, KnobOffset, KnobPicture, KnobStyle, and KnobXScale.

Data Type

Single


Slider Properties
Properties:

BackColor	HelpContextID	Orientation
BackPicture	Index	TabIndex
BarBorder	KnobColor	TabStop
BarInner	KnobOffset	Tag
BarOuter	KnobPicture	TicColor
BevelInner	KnobStyle	TicDelta
BevelOuter	KnobXScale	TicID
BevelWidth	KnobYScale	TicInner
BorderWidth	Left	TicLabelOn
Direction	Max	TicLabelPosition
Enabled	Min	TicOuter
FontBold	MouseControl	Tics
FontItalic	MousePointer	TicStart
FontName	Name	TicStop
FontSize	OffColor	Top
FontStrikethru	OffPicture	Value
FontUnderline	OnColor	Visible
Height	OnPicture	Width


Slider KnobStyle
KnobStyle Property

Description

Determines what type of Knob shape to use ( 0 - None  1 - .Rectangular  2- Circular ).

Usage

[form.]control.KnobStyle=[.Integer ]

Remarks

There are several additional properties to control the Knob characteristics.  These properties include KnobColor, KnobOffset, KnobPicture, KnobXScale, and KnobYScale.

Data Type

Integer


Slider KnobOffset
KnobOffset Property

Description

Determines the position of the Knob on the Slider Control.

Usage

[form.]control.KnobOffset=[.Single ]

Remarks

There are several additional properties to control the Knob characteristics.  These properties include KnobColor, KnobPicture, KnobStyle, KnobXScale, and KnobYScale.

Data Type

Single


Slider Direction
Direction Property

Description

Determines the direction the slider operates, forward or backward

Usage

[form.]control.Direction[ = integer ]

Remarks

The Direction Property value for forward is 0; backward is 1.  The Orientation Property is used to allow the Slider Control to be either horizontal or vertical.

Data Type

Integer


Slider KnobPicture
KnobPicture Property

Description

Allows user to place a bitmap (.bmp) on the knob.

Usage

[form.]control.KnobPicture=[.Picture ]

Remarks

There are several additional properties to control the Knob characteristics.  These properties include KnobColor, KnobOffset, KnobStyle, KnobXScale, and KnobYScale.

Data Type

Picture


Slider Events
Events:

Change

Click

GotFocus

LostFocus

MouseMove


Slider KnobXScale
KnobXScale Property

Description

Determines the scale of the Knob in the X-Direction.  Its value ranges from 0 to 1..

Usage

[form.]control.KnobXScale=[.Single ]

Remarks

There are several additional properties to control the Knob characteristics.  These properties include KnobColor, KnobOffset, KnobPicture, KnobStyle, and KnobYScale.

Data Type

Single


Slider TicColor
TicColor Property

Description

The TicColor Property allows the user to adjust the color of the current TicID tic marks.

Usage

[form.]control.TicColor=[ QBColor( color ) ]

or

[form.]control.TicColor=[ RGB( Red, Green, Blue ) ]

Remarks

See also TicID, TicDelta, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Color


Slider TicLabelOn
TicLabelOn Property

Description

The TicLabelOn Property allows the user to turn numeric labeling of the current TicID tic mark values.  The default value is False.

Usage

[form.]control.TicLabelOn=[ boolean ]

Remarks

See also TicColor, TicID, TicDelta, TicInner, TicOuter, TicLabelPosition, Tics, TicStart, TicStop.  If you are trying to manipulate more than one set of tic marks, be sure that the Tics Property is set to the total number of tic mark sets you are working with ( ie; if you want 6 different sets of tic marks, Tics should be set to 6 -- the corresponding TicID will be 5. ).

Data Type

Boolean


Slider KnobColor
KnobColor Property

Description

Determines the color of the knob on the Slider Control.

Usage

[form.]control.KnobColor=[ QBColor( color ) ]

or

[form.]control.KnobColor=[ RGB( Red, Green, Blue ) ]

Remarks

There are several additional properties to control the Knob characteristics.  These properties include KnobOffset, KnobPicture, KnobStyle, KnobXScale, and KnobYScale.

Data Type

Color


Slider Value
Value Property

Description

The Value Property sets the value for the On portion of the slider bar.  It is the Slider VBX's default property.

Usage

[form.]control.Value=[ single ]

or

[form.]control=[ single ]

Remarks

The Value Property can be changed easily in Run Mode with the mouse by turning the MouseControl Property to True.

Data Type

Single


Slider OffPicture
OffPicture Property

Description

Allows the user to place a bitmap (.bmp) on the Off portion of the slider bar.  The slider bar is set-up with an On and Off portion.  The perspective of these On/Off portions can be reversed on the slider bar by changing the Direction Property.

Usage

[form.]control.OffPicture=[.Picture ]

Remarks

See also BarBorder, BarInner, BarOuter, OffColor, OnColor, OnPicture.

Data Type

Picture


Slider OnPicture
OnPicture Property

Description

Allows the user to place a bitmap (.bmp) on the On portion of the slider bar.  The slider bar is set-up with an On and Off portion.  The perspective of these On/Off portions can be reversed on the slider bar by changing the Direction Property.

Usage

[form.]control.OnPicture=[.Picture ]

Remarks

See also BarBorder, BarInner, BarOuter, OnColor, OffColor, OffPicture.

Data Type

Picture